Subject: [bug#75781] Reduce unused native-inputs for grub-efi and grub-minimal

From: Efraim Flashner <[email-masked]>
Date: Thu, 6 Feb 2025 16:41:36 +0200

On Thu, Jan 23, 2025 at 11:19:29AM -0800, Vagrant Cascadian wrote:
> On 2025-01-23, Vagrant Cascadian wrote:
> > The attached patch removes the native-inputs on qemu-minimal for both
> > grub-efi and grub-minimal, neither of which actually use qemu-minimal it
> > because tests are disabled.
> ...
> > I did not test all reverse dependents yet, but both grub-efi and
> > grub-minimal still build.
> 
> And I still have not tested reverse dependents, because... there are no
> dependents!
> 
> Though grub-efi is presumably widely used on actual systems and I have
> only tested a single aarch64 system...

I'd like to eventually figure out running the tests, but I assume I'd do
it on x86_64 only either due to test support or machine speed.  No
reason to keep it as an input for "eventually".

LGTM!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted